/*
HTML tweaks to permit the CarrotCakeCMS navigation function when using the Twitter Bootstrap responsive framework
Written by Carrotware http://carrotware.com , licensed as Attribution-ShareAlike CC BY-SA 
*/


$(document).ready(function() {

	$('ul.dropdown-menu').prepend('<li class="divider"></li>');

	$('ul.dropdown-menu').each(function(i) {
		var lnk = $(this).parent().find("a:first");
		$(this).prepend('<li><a href=' + $(lnk).attr('href') + '><b>' + $(lnk).text() + '&nbsp;</b></a></li>');
	});

	$('.dropdown > a').append('&nbsp;&nbsp;<b class="caret">&nbsp;&nbsp;</b>');
	$('.dropdown > a').addClass("dropdown-toggle");
	$('.dropdown > a').attr('data-toggle', 'dropdown');
	$('.dropdown > a').dropdown();

	var bootstrapButton = $.fn.button.noConflict() // return $.fn.button to previously assigned value
	$.fn.bootstrapBtn = bootstrapButton            // give $().bootstrapBtn the Bootstrap functionality

});
