﻿<%@ Page Language="C#" AutoEventWireup="true" Inherits="Carrotware.CMS.UI.Base.GenericPage" %>

<%--
This template set includes: 
	* jQuery http://jquery.org - Copyright 2013 jQuery Foundation and other contributors Licensed MIT
	* Bootstrap http://getbootstrap.com - Copyright 2013 Twitter, Inc., Licensed under http://www.apache.org/licenses/LICENSE-2.0
 	* Basic layout assortment as HTML taken from PaintStrap http://paintstrap.com/ on-line palette preview engine
	* Some markup from Martin Bean - http://martinbean.co.uk and Ryan Fait - http://ryanfait.com/sticky-footer/ (by way of the PaintStrap)

Conversion of HTML to CarrotCakeCMS Template by Carrotware http://carrotware.com , this remix licensed as Attribution-ShareAlike CC BY-SA 
--%>
<%@ Register Src="bootstraphead.ascx" TagName="bootstraphead" TagPrefix="uc1" %>
<script runat="server">

	protected override void OnLoad(EventArgs e) {

		base.OnLoad(e);

		bootstraphead1.TemplateFolderPath = pageContents.TemplateFolderPath;
	}

</script>
<!DOCTYPE html>
<!--[if lt IE 7 ]><html class="ie ie6" lang="en"> <![endif]-->
<!--[if IE 7 ]><html class="ie ie7" lang="en"> <![endif]-->
<!--[if IE 8 ]><html class="ie ie8" lang="en"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!-->
<html lang="en">
<!--<![endif]-->
<head id="Head1" runat="server">
	<meta charset="utf-8" />
	<carrot:jquerybasic runat="server" ID="jquerybasic1" SelectedSkin="Silver" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<title>Sticky Footer Navbar Template for Bootstrap</title>
	<uc1:bootstraphead ID="bootstraphead1" runat="server" ExtraCSSFile="css/bootstrap-sticky-footer-navbar.css" />
	<carrot:SiteCanonicalURL runat="server" ID="SiteCanonicalURL1" />
	<carrot:RSSFeed runat="server" ID="RSSFeed1" />
</head>
<body>
	<form id="form1" runat="server">
	<!-- Wrap all page content here -->
	<div id="wrap">
		<!-- Fixed navbar -->
		<div class="navbar navbar-default navbar-fixed-top">
			<div class="container">
				<div class="navbar-header">
					<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
						<span class="icon-bar"></span><span class="icon-bar"></span><span class="icon-bar"></span>
					</button>
					<a class="navbar-brand" href="/">
						<carrot:SiteDataProperty runat="server" ID="SiteDataProperty1" DataField="SiteName" /></a>
				</div>
				<div class="collapse navbar-collapse">
					<carrot:TwoLevelNavigation runat="server" ID="TwoLevelNavigation1" WrapList="false" AutoStylingDisabled="true" CssClass="nav navbar-nav" CSSHasChildren="dropdown"
						CSSSelected="active" CSSULClassLower="dropdown-menu" />
					<%--
					<ul class="nav navbar-nav">
						<li class="active"><a href="#">Home</a></li>
						<li><a href="#about">About</a></li>
						<li><a href="#contact">Contact</a></li>
						<li class="dropdown"><a href="#" class="dropdown-toggle" data-toggle="dropdown">Dropdown <b class="caret"></b></a>
							<ul class="dropdown-menu">
								<li><a href="#">Action</a></li>
								<li><a href="#">Another action</a></li>
								<li><a href="#">Something else here</a></li>
								<li class="divider"></li>
								<li class="dropdown-header">Nav header</li>
								<li><a href="#">Separated link</a></li>
								<li><a href="#">One more separated link</a></li>
							</ul>
						</li>
					</ul>--%>
				</div>
				<!--/.nav-collapse -->
			</div>
		</div>
		<!-- Begin page content -->
		<div class="container">
			<div class="page-header">
				<h1>
					<carrot:ContentPageProperty runat="server" ID="ContentPageProperty1" DataField="PageHead" /></h1>
			</div>
			<carrot:WidgetContainer ID="phCenterTop" runat="server" />
			<carrot:ContentContainer EnableViewState="false" ID="BodyCenter" runat="server" />
			<carrot:WidgetContainer ID="phCenterBottom" runat="server" />
			<%--			
			<div class="page-header">
				<h1>
					Sticky footer with fixed navbar</h1>
			</div>
			<p class="lead">
				Pin a fixed-height footer to the bottom of the viewport in desktop browsers with this custom HTML and CSS. A fixed navbar has been added within <code>#wrap</code>
				with <code>padding-top: 60px;</code> on the <code>.container</code>.</p>
			<p>
				Back to <a href="../sticky-footer">the default sticky footer</a> minus the navbar.</p>--%>
		</div>
	</div>
	<asp:PlaceHolder ID="phFooter" runat="server">
		<div id="footer">
			<div class="container">
				<p class="text-muted credit">
					<%=String.Format("&copy;  {0}   {1}  ", DateTime.Now.Year, TheSite.SiteName.Trim()) %>
					| Site built with <a target="_blank" href="http://www.carrotware.com/carrotcake-cms.aspx">carrotcake cms</a> -- Example courtesy <a href="http://martinbean.co.uk">
						Martin Bean</a> and <a href="http://ryanfait.com/sticky-footer/">Ryan Fait</a>.
				</p>
			</div>
		</div>
	</asp:PlaceHolder>
	</form>
</body>
</html>
