<%@ Control Language="C#" %>
<script runat="server">

	public string TemplateFolderPath { get; set; }

	public string ExtraCSSFile { get; set; }

	protected void Page_Load(object sender, EventArgs e) {
		cssXtra.Visible = false;

		if (!string.IsNullOrEmpty(this.ExtraCSSFile)) {
			cssXtra.Visible = true;
			cssXtra.Attributes["href"] = this.TemplateFolderPath + this.ExtraCSSFile;
		}
	}

</script>
<link rel="shortcut icon" href="/favicon.png" />
<asp:PlaceHolder ID="myScripts" runat="server">
	<!-- Bootstrap core CSS -->
	<link href="<%=this.TemplateFolderPath %>css/bootstrap.min.css" rel="stylesheet" />
	<!-- Custom styles for this template -->
	<link href="<%=this.TemplateFolderPath %>css/bootstrap-theme-purple.min.css" rel="stylesheet" />
	<link href="css/xtra.css" rel="stylesheet" runat="server" id="cssXtra" />
	<script type="text/javascript" src="<%=this.TemplateFolderPath %>js/bootstrap.min.js"></script>
	<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
	<!--[if lt IE 9]>
			<script type="text/javascript" src="<%=this.TemplateFolderPath %>js/html5shiv.js"></script>
			<script type="text/javascript" src="<%=this.TemplateFolderPath %>js/respond.min.js"></script>
		<![endif]-->
	<script type="text/javascript" src="<%=this.TemplateFolderPath %>js/bootstrap-navfix.js"></script>
</asp:PlaceHolder>
