﻿<%@ Page Language="C#" AutoEventWireup="true" Inherits="Carrotware.CMS.UI.Base.GenericPage" %>

<%--
This template set includes: 
	* jQuery http://jquery.org - Copyright 2013 jQuery Foundation and other contributors Licensed MIT
	* Bootstrap http://getbootstrap.com - Copyright 2013 Twitter, Inc., Licensed under http://www.apache.org/licenses/LICENSE-2.0
 	* Basic layout assortment as HTML taken from PaintStrap http://paintstrap.com/ on-line palette preview engine
	* Some markup from Martin Bean - http://martinbean.co.uk and Ryan Fait - http://ryanfait.com/sticky-footer/ (by way of the PaintStrap)

Conversion of HTML to CarrotCakeCMS Template by Carrotware http://carrotware.com , this remix licensed as Attribution-ShareAlike CC BY-SA 
--%>
<%@ Register Src="bootstraphead.ascx" TagName="bootstraphead" TagPrefix="uc1" %>
<script runat="server">

	protected override void OnLoad(EventArgs e) {

		base.OnLoad(e);

		bootstraphead1.TemplateFolderPath = pageContents.TemplateFolderPath;
	}

</script>
<!DOCTYPE html>
<!--[if lt IE 7 ]><html class="ie ie6" lang="en"> <![endif]-->
<!--[if IE 7 ]><html class="ie ie7" lang="en"> <![endif]-->
<!--[if IE 8 ]><html class="ie ie8" lang="en"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!-->
<html lang="en">
<!--<![endif]-->
<head id="Head1" runat="server">
	<meta charset="utf-8" />
	<carrot:jquerybasic runat="server" ID="jquerybasic1" SelectedSkin="Silver" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<title>Narrow Jumbotron Template for Bootstrap</title>
	<uc1:bootstraphead ID="bootstraphead1" runat="server" ExtraCSSFile="css/bootstrap-jumbotron-narrow.css" />
	<carrot:SiteCanonicalURL runat="server" ID="SiteCanonicalURL1" />
	<carrot:RSSFeed runat="server" ID="RSSFeed1" />
</head>
<body>
	<form id="form1" runat="server">
	<div class="container">
		<div class="header">
			<carrot:TopLevelNavigation runat="server" ID="TopLevelNavigation1" CssClass="nav nav-pills pull-right" CSSSelected="active" />
			<%--			
			<ul class="nav nav-pills pull-right">
				<li class="active"><a href="#">Home</a></li>
				<li><a href="#">About</a></li>
				<li><a href="#">Contact</a></li>
			</ul>--%>
			<h3 class="text-muted">
				<carrot:SiteDataProperty runat="server" ID="SiteDataProperty1" DataField="SiteName" /></h3>
		</div>
		<div class="jumbotron">
			<h1>
				<carrot:ContentPageProperty runat="server" ID="ContentPageProperty1" DataField="PageHead" /></h1>
			<carrot:WidgetContainer ID="phCenterTop" runat="server" />
			<carrot:ContentContainer EnableViewState="false" ID="BodyCenter" runat="server" />
			<carrot:WidgetContainer ID="phCenterBottom" runat="server" />
			<%--
			<h1>
				Jumbotron heading</h1>
			<p class="lead">
				Cras justo odio, dapibus ac facilisis in, egestas eget quam. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa
				justo sit amet risus.</p>
			<p>
				<a class="btn btn-lg btn-success" href="#">Sign up today</a></p>
			--%>
		</div>
		<div class="col-lg-12">
			<carrot:PagedDataSummary ID="PagedDataSummary2" runat="server" ContentType="Blog" PageSize="8" CSSSelectedPage="selected" LinkNext="lnkNextWrap"
				LinkPrev="lnkPrevWrap">
				<ContentHeaderTemplate>
					<div>
				</ContentHeaderTemplate>
				<ContentTemplate>
					<div class="post">
						<h2 class="title">
							<carrot:ListItemNavText runat="server" ID="ListItemNavText5" DataField="NavMenuText" />
						</h2>
						<p class="date">
							<carrot:ListItemNavText runat="server" ID="ListItemNavText6" DataField="GoLiveDate" FieldFormat="{0:M.d.yyyy}" />
						</p>
						<div class="entry">
							<p>
								<carrot:ListItemNavText runat="server" ID="ListItemNavText2" DataField="PageTextPlainSummaryMedium" />
							</p>
							<p class="links">
								<carrot:NavLinkForTemplate CssClassNormal="comments" ID="NavLinkForTemplate3" runat="server" UseDefaultText="false">
									<carrot:ListItemNavText runat="server" ID="ListItemNavText7" DataField="CommentCount" FieldFormat="Comments ({0})" />
								</carrot:NavLinkForTemplate>
								&nbsp;&nbsp;&nbsp;
								<carrot:NavLinkForTemplate ID="NavLinkForTemplate2" runat="server" UseDefaultText="false">
									Full article</carrot:NavLinkForTemplate>
							</p>
						</div>
					</div>
				</ContentTemplate>
				<ContentFooterTemplate>
					</div>
				</ContentFooterTemplate>
				<PagerHeaderTemplate>
					<nav>
						<ul class="pagination">
							<li>
								<carrot:PagedDataNextPrevLinkWrapper ID="lnkPrevWrap" runat="server">
									<carrot:PagedDataNextPrevLink ID="PagedDataNextPrevLink1" NavDirection="Previous" runat="server" UseDefaultText="false" Text="&laquo;" />
								</carrot:PagedDataNextPrevLinkWrapper>
							</li>
				</PagerHeaderTemplate>
				<PagerTemplate>
					<carrot:ListItemWrapperForPager HtmlTagName="li" ID="wrap" runat="server" CSSSelected="active" CssClassNormal="">
						<carrot:NavLinkForPagerTemplate ID="lnkBtn" CSSSelected="selected" runat="server" RenderAsHyperlink="true" />
					</carrot:ListItemWrapperForPager>
				</PagerTemplate>
				<PagerFooterTemplate>
					<li>
						<carrot:PagedDataNextPrevLinkWrapper ID="lnkNextWrap" runat="server">
							<carrot:PagedDataNextPrevLink ID="PagedDataNextPrevLink2" NavDirection="Next" runat="server" UseDefaultText="false" Text="&raquo;" />
						</carrot:PagedDataNextPrevLinkWrapper>
					</li>
					</ul> </nav>
				</PagerFooterTemplate>
			</carrot:PagedDataSummary>
		</div>
		<asp:PlaceHolder ID="phFooter" runat="server">
			<div class="footer">
				<p>
					<%=String.Format("&copy;  {0}   {1}  ", DateTime.Now.Year, TheSite.SiteName.Trim()) %>
					| Site built with <a target="_blank" href="http://www.carrotware.com/carrotcake-cms.aspx">carrotcake cms</a>
				</p>
			</div>
		</asp:PlaceHolder>
	</div>
	<!-- /container -->
	</form>
</body>
</html>
