﻿<%@ Page Language="C#" AutoEventWireup="true" Inherits="Carrotware.CMS.UI.Base.GenericPage" %>

<%--
This template set includes: 
	* jQuery http://jquery.org - Copyright 2013 jQuery Foundation and other contributors Licensed MIT
	* Bootstrap http://getbootstrap.com - Copyright 2013 Twitter, Inc., Licensed under http://www.apache.org/licenses/LICENSE-2.0
 	* Basic layout assortment as HTML taken from PaintStrap http://paintstrap.com/ on-line palette preview engine
	* Some markup from Martin Bean - http://martinbean.co.uk and Ryan Fait - http://ryanfait.com/sticky-footer/ (by way of the PaintStrap)

Conversion of HTML to CarrotCakeCMS Template by Carrotware http://carrotware.com , this remix licensed as Attribution-ShareAlike CC BY-SA 
--%>
<%@ Register Src="bootstraphead.ascx" TagName="bootstraphead" TagPrefix="uc1" %>
<script runat="server">

	protected override void OnLoad(EventArgs e) {

		base.OnLoad(e);

		bootstraphead1.TemplateFolderPath = pageContents.TemplateFolderPath;
	}

</script>
<!DOCTYPE html>
<!--[if lt IE 7 ]><html class="ie ie6" lang="en"> <![endif]-->
<!--[if IE 7 ]><html class="ie ie7" lang="en"> <![endif]-->
<!--[if IE 8 ]><html class="ie ie8" lang="en"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!-->
<html lang="en">
<!--<![endif]-->
<head id="Head1" runat="server">
	<meta charset="utf-8" />
	<carrot:jquerybasic runat="server" ID="jquerybasic1" SelectedSkin="Silver" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<title>Narrow Jumbotron Template for Bootstrap</title>
	<uc1:bootstraphead ID="bootstraphead1" runat="server" ExtraCSSFile="css/bootstrap-jumbotron-narrow.css" />
	<carrot:SiteCanonicalURL runat="server" ID="SiteCanonicalURL1" />
	<carrot:RSSFeed runat="server" ID="RSSFeed1" />
</head>
<body>
	<form id="form1" runat="server">
	<div class="container">
		<div class="header">
			<carrot:TopLevelNavigation runat="server" ID="TopLevelNavigation1" CssClass="nav nav-pills pull-right" CSSSelected="active" />
			<%--			
			<ul class="nav nav-pills pull-right">
				<li class="active"><a href="#">Home</a></li>
				<li><a href="#">About</a></li>
				<li><a href="#">Contact</a></li>
			</ul>--%>
			<h3 class="text-muted">
				<carrot:SiteDataProperty runat="server" ID="SiteDataProperty1" DataField="SiteName" /></h3>
		</div>
		<div class="jumbotron">
			<h1>
				<carrot:ContentPageProperty runat="server" ID="ContentPageProperty1" DataField="PageHead" /></h1>
			<carrot:WidgetContainer ID="phCenterTop" runat="server" />
			<carrot:ContentContainer EnableViewState="false" ID="BodyCenter" runat="server" />
			<carrot:WidgetContainer ID="phCenterBottom" runat="server" />
			<%--
			<h1>
				Jumbotron heading</h1>
			<p class="lead">
				Cras justo odio, dapibus ac facilisis in, egestas eget quam. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa
				justo sit amet risus.</p>
			<p>
				<a class="btn btn-lg btn-success" href="#">Sign up today</a></p>
			--%>
		</div>
		<carrot:PagedDataSummary ID="PagedDataSummary1" runat="server" ContentType="Blog" PageSize="6" TotalRecords="6" ShowPager="false">
			<ContentHeaderTemplate>
				<div class="row marketing">
			</ContentHeaderTemplate>
			<ContentFooterTemplate>
				</div>
			</ContentFooterTemplate>
			<ContentTemplate>
				<div class="col-lg-6">
					<h4>
						<carrot:NavLinkForTemplate runat="server" ID="NavLinkForTemplate1" />
					</h4>
					<p>
						<carrot:ListItemNavText runat="server" ID="ListItemNavText1" DataField="PageTextPlainSummary" />
					</p>
				</div>
			</ContentTemplate>
		</carrot:PagedDataSummary>
		<%--		
			<div class="row marketing">
				<div class="col-lg-6">
					<h4>Subheading</h4>
					<p>
						Donec id elit non mi porta gravida at eget metus. Maecenas faucibus mollis interdum.
					</p>
					<h4>Subheading</h4>
					<p>
						Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Cras mattis consectetur purus sit amet fermentum.
					</p>
					<h4>Subheading</h4>
					<p>
						Maecenas sed diam eget risus varius blandit sit amet non magna.
					</p>
				</div>
				<div class="col-lg-6">
					<h4>Subheading</h4>
					<p>
						Donec id elit non mi porta gravida at eget metus. Maecenas faucibus mollis interdum.
					</p>
					<h4>Subheading</h4>
					<p>
						Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Cras mattis consectetur purus sit amet fermentum.
					</p>
					<h4>Subheading</h4>
					<p>
						Maecenas sed diam eget risus varius blandit sit amet non magna.
					</p>
				</div>
			</div>--%>
		<asp:PlaceHolder ID="phFooter" runat="server">
			<div class="footer">
				<p>
					<%=String.Format("&copy;  {0}   {1}  ", DateTime.Now.Year, TheSite.SiteName.Trim()) %>
					| Site built with <a target="_blank" href="http://www.carrotware.com/carrotcake-cms.aspx">carrotcake cms</a>
				</p>
			</div>
		</asp:PlaceHolder>
	</div>
	<!-- /container -->
	</form>
</body>
</html>
