﻿<%@ Page Language="C#" AutoEventWireup="true" Inherits="Carrotware.CMS.UI.Base.GenericPage" %>

<%--
This template set includes: 
	* jQuery http://jquery.org - Copyright 2013 jQuery Foundation and other contributors Licensed MIT
	* Bootstrap http://getbootstrap.com - Copyright 2013 Twitter, Inc., Licensed under http://www.apache.org/licenses/LICENSE-2.0
 	* Basic layout assortment as HTML taken from PaintStrap http://paintstrap.com/ on-line palette preview engine
	* Some markup from Martin Bean - http://martinbean.co.uk and Ryan Fait - http://ryanfait.com/sticky-footer/ (by way of the PaintStrap)

Conversion of HTML to CarrotCakeCMS Template by Carrotware http://carrotware.com , this remix licensed as Attribution-ShareAlike CC BY-SA 
--%>
<%@ Register Src="bootstraphead.ascx" TagName="bootstraphead" TagPrefix="uc1" %>
<script runat="server">

	protected override void OnLoad(EventArgs e) {

		base.OnLoad(e);

		bootstraphead1.TemplateFolderPath = pageContents.TemplateFolderPath;
	}

</script>
<!DOCTYPE html>
<!--[if lt IE 7 ]><html class="ie ie6" lang="en"> <![endif]-->
<!--[if IE 7 ]><html class="ie ie7" lang="en"> <![endif]-->
<!--[if IE 8 ]><html class="ie ie8" lang="en"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!-->
<html lang="en">
<!--<![endif]-->
<head id="Head1" runat="server">
	<meta charset="utf-8" />
	<carrot:jquerybasic runat="server" ID="jquerybasic1" SelectedSkin="Silver" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<title>Off Canvas Template for Bootstrap</title>
	<uc1:bootstraphead ID="bootstraphead1" runat="server" ExtraCSSFile="css/boostrap-offcanvas.css" />
	<asp:PlaceHolder ID="myScripts" runat="server">
		<!-- Bootstrap core CSS -->
		<script type="text/javascript" src="<%=pageContents.TemplateFolderPath %>js/offcanvas.js"></script>
	</asp:PlaceHolder>
	<carrot:SiteCanonicalURL runat="server" ID="SiteCanonicalURL1" />
	<carrot:RSSFeed runat="server" ID="RSSFeed1" />
</head>
<body>
	<form id="form1" runat="server">
	<div class="navbar navbar-fixed-top navbar-inverse" role="navigation">
		<div class="container">
			<div class="navbar-header">
				<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
					<span class="icon-bar"></span><span class="icon-bar"></span><span class="icon-bar"></span>
				</button>
				<a class="navbar-brand" href="/">
					<carrot:SiteDataProperty runat="server" ID="SiteDataProperty1" DataField="SiteName" /></a>
			</div>
			<div class="collapse navbar-collapse">
				<carrot:TwoLevelNavigation runat="server" ID="TwoLevelNavigation1" WrapList="false" AutoStylingDisabled="true" CssClass="nav navbar-nav" CSSHasChildren="dropdown"
					CSSSelected="active" CSSULClassLower="dropdown-menu" />
				<%--
				<ul class="nav navbar-nav">
					<li class="active"><a href="#">Home</a></li>
					<li><a href="#about">About</a></li>
					<li><a href="#contact">Contact</a></li>
				</ul>--%>
			</div>
			<!-- /.nav-collapse -->
		</div>
		<!-- /.container -->
	</div>
	<!-- /.navbar -->
	<div class="container">
		<div class="row row-offcanvas row-offcanvas-right">
			<div class="col-xs-12 col-sm-9">
				<p class="pull-right visible-xs">
					<button type="button" class="btn btn-primary btn-xs" data-toggle="offcanvas">
						Toggle nav</button>
				</p>
				<div class="jumbotron">
					<h1>
						<carrot:ContentPageProperty runat="server" ID="ContentPageProperty1" DataField="PageHead" /></h1>
					<carrot:WidgetContainer ID="phLeftTop" runat="server" />
					<carrot:ContentContainer EnableViewState="false" ID="BodyLeft" runat="server" />
					<carrot:WidgetContainer ID="phLeftBottom" runat="server" />
				</div>
				<div>
					<carrot:WidgetContainer ID="phCenterTop" runat="server" />
					<carrot:ContentContainer EnableViewState="false" ID="BodyCenter" runat="server" />
					<carrot:WidgetContainer ID="phCenterBottom" runat="server" />
				</div>
				<carrot:PagedDataSummary ID="PagedDataSummary1" runat="server" ContentType="Blog" PageSize="6" TotalRecords="6" ShowPager="false">
					<ContentHeaderTemplate>
						<div class="row">
					</ContentHeaderTemplate>
					<ContentFooterTemplate>
						</div>
					</ContentFooterTemplate>
					<ContentTemplate>
						<div class="col-6 col-sm-6 col-lg-4">
							<h2>
								<carrot:ListItemNavText runat="server" ID="ListItemNavText2" DataField="NavMenuText" />
							</h2>
							<p>
								<carrot:ListItemNavText runat="server" ID="ListItemNavText1" DataField="PageTextPlainSummary" />
							</p>
							<p>
								<carrot:NavLinkForTemplate CssClassNormal="btn btn-default" ID="NavLinkForTemplate2" runat="server" UseDefaultText="false">
									View details &raquo;
								</carrot:NavLinkForTemplate>
							</p>
						</div>
					</ContentTemplate>
				</carrot:PagedDataSummary>
				<%--					
						<div class="row">
						<div class="col-6 col-sm-6 col-lg-4">
							<h2>Heading</h2>
							<p>
								Donec id elit non mi porta gravida at eget metus. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit
							amet risus. Etiam porta sem malesuada magna mollis euismod. Donec sed odio dui.
							</p>
							<p>
								<a class="btn btn-default" href="#">View details &raquo;</a>
							</p>
						</div>
						<!--/span-->
						<div class="col-6 col-sm-6 col-lg-4">
							<h2>Heading</h2>
							<p>
								Donec id elit non mi porta gravida at eget metus. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit
							amet risus. Etiam porta sem malesuada magna mollis euismod. Donec sed odio dui.
							</p>
							<p>
								<a class="btn btn-default" href="#">View details &raquo;</a>
							</p>
						</div>
						<!--/span-->
						<div class="col-6 col-sm-6 col-lg-4">
							<h2>Heading</h2>
							<p>
								Donec id elit non mi porta gravida at eget metus. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit
							amet risus. Etiam porta sem malesuada magna mollis euismod. Donec sed odio dui.
							</p>
							<p>
								<a class="btn btn-default" href="#">View details &raquo;</a>
							</p>
						</div>
						<!--/span-->
						<div class="col-6 col-sm-6 col-lg-4">
							<h2>Heading</h2>
							<p>
								Donec id elit non mi porta gravida at eget metus. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit
							amet risus. Etiam porta sem malesuada magna mollis euismod. Donec sed odio dui.
							</p>
							<p>
								<a class="btn btn-default" href="#">View details &raquo;</a>
							</p>
						</div>
						<!--/span-->
						<div class="col-6 col-sm-6 col-lg-4">
							<h2>Heading</h2>
							<p>
								Donec id elit non mi porta gravida at eget metus. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit
							amet risus. Etiam porta sem malesuada magna mollis euismod. Donec sed odio dui.
							</p>
							<p>
								<a class="btn btn-default" href="#">View details &raquo;</a>
							</p>
						</div>
						<!--/span-->
						<div class="col-6 col-sm-6 col-lg-4">
							<h2>Heading</h2>
							<p>
								Donec id elit non mi porta gravida at eget metus. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit
							amet risus. Etiam porta sem malesuada magna mollis euismod. Donec sed odio dui.
							</p>
							<p>
								<a class="btn btn-default" href="#">View details &raquo;</a>
							</p>
						</div>
						<!--/span-->
					</div>--%>
				<!--/row-->
			</div>
			<!--/span-->
			<div class="col-xs-6 col-sm-3 sidebar-offcanvas" id="sidebar" role="navigation">
				<div class="well sidebar-nav">
					<carrot:SiteMetaWordList CssClass="nav" HeadWrapTag="h3" ID="SiteMetaWordList1" runat="server" ContentType="DateMonth" MetaDataTitle="Archive" TakeTop="6" />
					<carrot:SiteMetaWordList CssClass="nav" HeadWrapTag="h3" ID="SiteMetaWordList2" runat="server" ContentType="Category" MetaDataTitle="Categories" ShowUseCount="true" />
					<%--
					<ul class="nav">
						<li>Sidebar</li>
						<li class="active"><a href="#">Link</a></li>
						<li><a href="#">Link</a></li>
						<li><a href="#">Link</a></li>
						<li>Sidebar</li>
						<li><a href="#">Link</a></li>
						<li><a href="#">Link</a></li>
						<li><a href="#">Link</a></li>
						<li>Sidebar</li>
						<li><a href="#">Link</a></li>
						<li><a href="#">Link</a></li>
					</ul>--%>
				</div>
				<!--/.well -->
			</div>
			<!--/span-->
		</div>
		<!--/row-->
		<hr>
		<asp:PlaceHolder ID="phFooter" runat="server">
			<footer>
				<p>
					<%=String.Format("&copy;  {0}   {1}  ", DateTime.Now.Year, TheSite.SiteName.Trim()) %>
					| Site built with <a target="_blank" href="http://www.carrotware.com/carrotcake-cms.aspx">carrotcake cms</a>
				</p>
			</footer>
		</asp:PlaceHolder>
	</div>
	<!--/.container-->
	</form>
</body>
</html>
